Fiat
Create Fiat Withdrawal Order
This endpoint creates a fiat withdrawal order for a given quote id with enhanced payment method options.
Authorization
x-api-key x-api-key<token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/v2/fiat/withdrawal" \ -H "Content-Type: application/json" \ -d '{ "quoteId": "12345678-1234-1234-1234-123456789012", "paymentMethod": { "type": "PIX", "pixKey": "string" } }'{ "id": "123e4567-e89b-12d3-a456-426614174000", "from": { "currency": "USDC", "amount": "100.50" }, "to": { "currency": "BRL", "amount": "550.75" }, "expiresAt": "2023-12-31T23:59:59.999Z", "fees": { "transactionFee": "1.50", "gasFee": "0.05", "treasuryAddress": "0x6e397ddf51d9f15dbe0414538e7529f51f2e5464" }, "withdrawalInstructions": { "userOperationHash": "0x2aac7a66d5331454eafc9b981be3596ad08a40dad24883e3b9c4a5362cd7f7e1", "authorization": {} }}